GLXSB(4)

NAME
glxsb - Geode LX Security Block crypto accelerator

SYNOPSIS
glxsb* at pci?

DESCRIPTION
The glxsb driver supports the security block of the Geode LX series processors. The Geode LX is a member of the AMD Geode family of integrated x86 system chips.

Driven by periodic checks for available data from the generator, glxsb supplies entropy to the random(4) driver for common usage.

glxsb also supports acceleration of AES-CBC operations for crypto(4).

SEE ALSO
crypto(4), i386/intro(4), pci(4), random(4), crypto(9)

HISTORY
The glxsb device first appeared in NetBSD 4.0.

AUTHORS
The glxsb driver was written for OpenBSD by Tom Cosgrove. It was ported to NetBSD by Jared D. McNeill <jmcneill@NetBSD.org>.

BUGS
The glxsb driver only provides random numbers and AES acceleration. Since it does not provide HMACs, IPSec will not currently use it; it will however be used by OpenSSH.